{ config, lib, pkgs, ... }:

let
  cfg = config.ptw.programs.plasma;
in {
  options.ptw.programs.plasma = {
    enable = lib.mkEnableOption "Enable KDE Plasma";
    mobile = lib.mkEnableOption "Enable Plasma Mobile";
  };

  config = lib.mkIf cfg.enable {
    services.xserver.desktopManager.plasma5 = {
      enable = true;
      runUsingSystemd = true;
      supportDDC = true;
      mobile.enable = cfg.mobile;
    };

    xdg.portal = {
      enable = true;
      extraPortals = [ pkgs.xdg-desktop-portal-kde ];
    };
    
    environment.systemPackages = with pkgs; [ 
      yakuake
      libsForQt5.okular
      libsForQt5.kdeconnect-kde
      libsForQt5.breeze-gtk
      index-fm
      #kasts-git
      rsibreak
      kalendar
    ];
  };
}
